CREATE TABLE gtg_di_res_hrchy_detail (
    ID                   NUMBER(18, 0) ,
    RUN_ID               NUMBER(18, 0)     NOT NULL,
    PARENT_ID            VARCHAR2(2048)    NOT NULL,
    CHILD_ID             VARCHAR2(2048)    NOT NULL,
    TYPE                 VARCHAR2(2048)    NOT NULL,
    IS_INCLUDED          VARCHAR2(16)  ,
    IS_ACTIVE            VARCHAR2(16)  ,
    REL_ATTRS            VARCHAR2(4000),
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    ID                   NUMBER(18, 0) ,
    RUN_ID               NUMBER(18, 0)     NOT NULL,
    PARENT_ID            VARCHAR2(2048)    NOT NULL,
    CHILD_ID             VARCHAR2(2048)    NOT NULL,
    TYPE                 VARCHAR2(2048)    NOT NULL,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    IS_INCLUDED          VARCHAR2(16)  ,
    IS_ACTIVE            VARCHAR2(16)  ,
    REL_ATTRS            VARCHAR2(4000),
    CONSTRAINT pk_gtg_di_res_hrchy_detail PRIMARY KEY (ID, ID)
);
